@import "@/assets/scss/global.scss";
.add-new-student{
    padding: 14px;
    height: 100%;
    width: 100%;
    .add-wrapper{
        padding: 22px;
        background: #fff;
        border-radius: 24px;
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 20px;

        .header-back{
            display: flex;
            flex-direction: row;
            gap: 10px;
            justify-content: flex-start;
            align-items: center;
            cursor: pointer;
            height: 24px;
            width: fit-content;

            .icon-back{
                height: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
                svg{
                    rotate: 180deg;
                    height: 20px;
                    width: auto;
                    path{
                        fill:#8E91A0;
                    }
                }
            }
            .text-back{
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;
                color: #8E91A0;
            }
        }

        .content-add{
            padding-top: 10px;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;
            gap: 30px;
            min-height: 400px;
        
            .add-student {
                display: flex;
                flex-direction: row;
                gap: 24px;
                align-items: flex-start;
                flex: none;
                min-width: 400px;
        
                .input-field {
                    flex: 1;
                    [class*='input-content']{
                        height: 48px;
                    }
                }
        
                .icon-action {
                    background: transparent;
                    height: 56px;
                }
            }
        }
    }
    .layout-wrapper {
        background: #fff;
        border-radius: 20px;
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;

        .layout-content {
            flex: 1;
            padding: 30px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 30px;
            overflow: visible;
            // scroll-behavior: smooth;

            .add-new-a-student {
                width: 100%;
                padding: 0 10vw;
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                gap: 20px;

                @include largeScreen{
                    padding: 0 15vw;
                }
                @include wideScreen{
                    padding: 0 20vw;
                }
        
                .input-field {
                    width: calc(50% - 10px);
                    margin: 0;
                    [class*='input-content']{
                        height: 48px;
                    }
                    [class*='select-group']{
                        height: 50px;
                    }
                    &.disabled {
                        [class*='input-group'] {
                            background: #E2E5F2;
                            border-radius: 10px;
                        }
                       
                    }
                }
            }
            
        }

        .layout-footer {
            height: 82px;
            display: flex;
            flex-direction: row;
            gap: 15px;
            justify-content: center;
            align-items: center;
            box-shadow: 0px -4px 54px rgba(0, 0, 0, 0.1);
            border-radius: 0px 0px 20px 20px;

            button {
                min-width: 130px;
                height: 40px;
                cursor: pointer;

                &.cancel {
                    border: 1px solid #8E91A0;
                    color: #8E91A0;
                    box-shadow: none;

                    &:hover {
                        background: #FFF;
                    }
                }
            }
        }
    }
}